commit 208247998484ee70cff5f16050344d53bcc6bb42
Author: Ian Barwick <ian@2ndquadrant.com>
Date:   Fri Oct 26 11:09:21 2018 +0900

    Clarify description of pg_promote function
    
    Note that it always returns TRUE if the "wait" parameter is set to false.

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 96d4541..422af61 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -19241,13 +19241,14 @@ postgres=# SELECT * FROM pg_walfile_name_offset(pg_stop_backup());
         </entry>
        <entry><type>boolean</type></entry>
        <entry>
-        Promotes a physical standby server.  Returns <literal>true</literal>
-        if promotion is successful and <literal>false</literal> otherwise.
-        With <parameter>wait</parameter> set to <literal>true</literal>, the
-        default, the function waits until promotion is completed or
-        <parameter>wait_seconds</parameter> seconds have passed, otherwise the
-        function returns immediately after sending the promotion signal to the
-        postmaster.  This function is restricted to superusers by default, but
+        Promotes a physical standby server.  With <parameter>wait</parameter> set
+        to <literal>true</literal> (the default), the function waits until promotion
+        is completed or <parameter>wait_seconds</parameter> seconds have passed,
+        and returns <literal>true</literal> if promotion is successful and
+        <literal>false</literal> otherwise. If <parameter>wait</parameter>
+        is set to <literal>false</literal>, the function returns <literal>true</literal>
+        immediately after sending the promotion signal to the postmaster.
+        This function is restricted to superusers by default, but
         other users can be granted EXECUTE to run the function.
        </entry>
       </row>

